@echo off&setlocal enabledelayedexpansion
title 远程操作终端V1.1--By thj

color 0a
echo 正在启动，请稍候...
adb start-server>nul
cls

:start
cls
echo.
echo.                      远程操作终端工具2
echo.
echo.
echo 本机已连接安卓终端如下：（设备状态不能是offine）
echo==============================================
adb devices
echo==============================================
echo.
echo.

:input
set IP=
echo.
echo 1、请输入你要连接的终端IP，直接回车表示使用第一个的连接终端
echo.
echo 2、清除所有终端设备连接，请输入0（建议第一次使用，都先清一遍终端连接）
echo.
echo.
set /p IP=   安卓终端IP : 
cls
echo.
echo 正在处理，请稍候...
echo.
echo.
echo.

if "%IP%"=="" goto connectfirstdevice
if "%IP%"=="0" goto disconnectalldevices


:connectip
adb connect %IP%:5555
goto doscrcpy


:connectfirstdevice
for /f "eol=L tokens=1 delims=	"  %%b in ('adb devices') do (
    set /a num+=1
    if !num!==1  (
        set ipport=%%b       
    )
echo.
)

set IP=%ipport:~0,-12%
echo %ip%
goto connectip



:doscrcpy
start scrcpy-noconsole.exe -s %IP%:5555
exit

:disconnectalldevices
adb disconnect
echo.
echo 清除完成，按任意键返回操作界面！
pause>nul
goto start